Subject: RE: bug#15576: 24.3.50; Some minor issues regarding the new TTY menus

From: Drew Adams <[email-masked]>
Date: Thu, 10 Oct 2013 13:14:04 -0700 (PDT)

> > IOW for each submenu, you have 3 more or less equivalent/redundant
> > "names":
> > - the text to display in the parent menu (i.e. the only thing usually
> >   displayed).
> > - the "prompt" (which is only displayed if you pass that submenu to
> >   directly popup-menu, or if you use the non-toolkit version of Emacs,
> >   or now in the tty-menu code).
> > - the event associated with this submenu.  It's usually a symbol rather
> >   than a string (because it's compared with `eq'; and it can also be an
> >   integer), but it's often just a symbol version of the "menu name".
> > Those 3 can all be completely different, but normally/usually
> > they're identical.
> 
> Well, I still don't see at all the point of that name redundancy,
> because as I said, I don't think it makes any sense to show one text
> for a menu item (holding a submenu), and show a different text for its
> submenu's "prompt".  It is just plain confusing to me.

Dani, the point of having potentially different names is that there are
different uses of a given menu, including the popup case that Stefan
described and which is fairly rare.

But yes, nothing prevents someone from using the same name for all
three uses.  IOW, you *can* use different names for different uses,
but nothing requires you to.